#! /bin/sh
# -*- tab-width: 2; indent-tabs-mode: nil; sh-basic-offset: 2; -*-

[ $(whoami) = "root" ] || { echo "Only root can run this script" >&2; exit 2; }

. $(dirname $0)/common.sh

app=$bindir"/drweb-cc"
for ii in /home/*/.Xauthority /*/.Xauthority; do
  cmd="HOME=$(dirname $ii) XAUTHORITY=$ii DISPLAY=':0' $app -t -g -f";
  test -f $ii && su -l $(stat -c %U $ii) -c $cmd || :
done
