#! /bin/sh
# -*- tab-width: 2; indent-tabs-mode: nil; sh-basic-offset: 2; -*-

. $(dirname $0)/common.sh

sysbasesdir="$localstatedir/bases";
userbasesdir="$HOME/.drweb/bases";
update_pl="$bindir/update.pl";
update_pl_ini="$HOME/.drweb/drweb32.ini";

cond_file="$HOME/.drweb/.condition";
[ -e $cond_file ] && grep -q "ESMode 1 1" $cond_file && exit 0;

mkdir -p $userbasesdir;

chmod +w $userbasesdir/* || true;
cp --update $sysbasesdir/* $userbasesdir;
chmod +w $userbasesdir/* || true;

if [ x"$1" = x"--only-copy" ]; then
  exit 2;
fi

if [ -r $update_pl_ini ]; then
    $update_pl --ini=$update_pl_ini && touch $userbasesdir/.stamp;
else
    echo $update_pl_ini" - no such file";
    exit 2;
fi
